#pragma once

#include <Ntifs.h>
#include <Ntddk.h>
#include <ntstrsafe.h>

#if 1
#define CKSMLOG DbgPrint
#else
#define CKSMLOG(...)
#endif

#define POOL_TAG 0xDEADBEEF

#define kAlloc(Size) ExAllocatePoolWithTag(NonPagedPool, Size, POOL_TAG);
#define kFree(Ptr) ExFreePoolWithTag(Ptr, POOL_TAG);
