#include <Windows.h>
#include <stdio.h>

#define SYMLINK_NAME L"\\\\.\\SampleDriver"
#define IOCTL_SAMPLE CTL_CODE(FILE_DEVICE_UNKNOWN, 0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)

int main()
{
    HANDLE DrvHandle = CreateFile
    (
        SYMLINK_NAME,
        GENERIC_READ | GENERIC_WRITE,
        FILE_SHARE_READ | FILE_SHARE_WRITE,
        NULL,
        OPEN_EXISTING,
        FILE_ATTRIBUTE_NORMAL,
        0
    );

    if(DrvHandle == INVALID_HANDLE_VALUE)
    {
        printf("Can't open handle\n");
        return -1;
    }

    UCHAR Buffer = 0xFF;
    DWORD Size;
    BOOL Status;

    while(TRUE)
    {
        Status = DeviceIoControl(DrvHandle, IOCTL_SAMPLE, &Buffer, sizeof(UCHAR), &Buffer, sizeof(UCHAR), &Size, NULL);
        if(Status == FALSE)
        {
            CloseHandle(DrvHandle);
            printf("IOCTL failed\n");
            return -1;
        }

        printf("Driver returned: %d\n", Buffer);

        Sleep(1000);
    }

    return 0;
}
